com.brightcove.player

## Class Constants

- java.lang.Object
- - com.brightcove.player.Constants

- Direct Known Subclasses:
    C

      public class Constants
      extends java.lang.Object

  Created by rsubramaniam on 10/2/17.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Constants.Encoding` Represents an audio encoding, or an invalid or unset value.
    `static interface` | `Constants.PcmEncoding` Represents a PCM audio encoding, or an invalid or unset value.
    `static interface` | `Constants.SelectionFlags` Track selection flags.
    `static interface` | `Constants.SelectionReason` Define of selection reason constants.
    `static interface` | `Constants.StereoMode` The stereo mode for 360/3D/VR videos.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENCODING_AC3`
    `static int` | `ENCODING_DTS`
    `static int` | `ENCODING_DTS_HD`
    `static int` | `ENCODING_E_AC3`
    `static int` | `ENCODING_INVALID`
    `static int` | `ENCODING_PCM_16BIT`
    `static int` | `ENCODING_PCM_24BIT` PCM encoding with 24 bits per sample.
    `static int` | `ENCODING_PCM_32BIT` PCM encoding with 32 bits per sample.
    `static int` | `ENCODING_PCM_8BIT`
    `static int` | `INDEX_UNSET` Represents an unset or unknown index.
    `static int` | `LENGTH_UNSET` Represents an unset or unknown length.
    `static long` | `MATCH_LONGEST_US` Represents a microsecond duration whose exact value is unknown, but which should match the longest of some other known durations.
    `static int` | `NO_VALUE` A value for various fields to indicate that the field's value is unknown or not applicable.
    `static java.util.UUID` | `PLAYREADY_UUID` UUID for the PlayReady DRM scheme.
    `static int` | `POSITION_UNSET` Represents an unset or unknown position.
    `static int` | `SELECTION_FLAG_AUTOSELECT` Indicates that the player may choose to play the track in absence of an explicit user preference.
    `static int` | `SELECTION_FLAG_DEFAULT` Indicates that the track should be selected if user preferences do not state otherwise.
    `static int` | `SELECTION_FLAG_FORCED` Indicates that the track must be displayed.
    `static int` | `SELECTION_REASON_ADAPTIVE` A selection reason constant for an adaptive track selection.
    `static int` | `SELECTION_REASON_INITIAL` A selection reason constant for an initial track selection.
    `static int` | `SELECTION_REASON_MANUAL` A selection reason constant for an manual (i.e.
    `static int` | `SELECTION_REASON_TRICK_PLAY` A selection reason constant for a trick play track selection.
    `static int` | `SELECTION_REASON_UNKNOWN` A selection reason constant for selections whose reasons are unknown or unspecified.
    `static int` | `STEREO_MODE_LEFT_RIGHT` Indicates Left-Right stereo layout, used with 360/3D/VR videos.
    `static int` | `STEREO_MODE_MONO` Indicates Monoscopic stereo layout, used with 360/3D/VR videos.
    `static int` | `STEREO_MODE_TOP_BOTTOM` Indicates Top-Bottom stereo layout, used with 360/3D/VR videos.
    `static long` | `TIME_END_OF_SOURCE` Special constant representing a time corresponding to the end of a source.
    `static long` | `TIME_UNSET` Special constant representing an unset or unknown time or duration.
    `static long` | `UNKNOWN_TIME_US` Represents an unknown microsecond time or duration.
    `static java.util.UUID` | `WIDEVINE_UUID` UUID for the Widevine DRM scheme.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `msToUs(long timeMs)` Converts a time in milliseconds to the corresponding time in microseconds, preserving `TIME_UNSET` values.
    `static long` | `usToMs(long timeUs)` Converts a time in microseconds to the corresponding time in milliseconds, preserving `TIME_UNSET` values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIME_END_OF_SOURCE

          public static final long TIME_END_OF_SOURCE

      Special constant representing a time corresponding to the end of a source. Suitable for use in any time base.
      See Also:
        Constant Field Values

    - #### TIME_UNSET

          public static final long TIME_UNSET

      Special constant representing an unset or unknown time or duration. Suitable for use in any time base.
      See Also:
        Constant Field Values

    - #### UNKNOWN_TIME_US

          public static final long UNKNOWN_TIME_US

      Represents an unknown microsecond time or duration.
      See Also:
        Constant Field Values

    - #### MATCH_LONGEST_US

          public static final long MATCH_LONGEST_US

      Represents a microsecond duration whose exact value is unknown, but which should match the longest of some other known durations.
      See Also:
        Constant Field Values

    - #### INDEX_UNSET

          public static final int INDEX_UNSET

      Represents an unset or unknown index.
      See Also:
        Constant Field Values

    - #### POSITION_UNSET

          public static final int POSITION_UNSET

      Represents an unset or unknown position.
      See Also:
        Constant Field Values

    - #### LENGTH_UNSET

          public static final int LENGTH_UNSET

      Represents an unset or unknown length.
      See Also:
        Constant Field Values

    - #### NO_VALUE

          public static final int NO_VALUE

      A value for various fields to indicate that the field's value is unknown or not applicable.
      See Also:
        Constant Field Values

    - #### ENCODING_INVALID

          public static final int ENCODING_INVALID

      See Also:
        `AudioFormat.ENCODING_INVALID`, Constant Field Values

    - #### ENCODING_PCM_8BIT

          public static final int ENCODING_PCM_8BIT

      See Also:
        `AudioFormat.ENCODING_PCM_8BIT`, Constant Field Values

    - #### ENCODING_PCM_16BIT

          public static final int ENCODING_PCM_16BIT

      See Also:
        `AudioFormat.ENCODING_PCM_16BIT`, Constant Field Values

    - #### ENCODING_PCM_24BIT

          public static final int ENCODING_PCM_24BIT

      PCM encoding with 24 bits per sample.
      See Also:
        Constant Field Values

    - #### ENCODING_PCM_32BIT

          public static final int ENCODING_PCM_32BIT

      PCM encoding with 32 bits per sample.
      See Also:
        Constant Field Values

    - #### ENCODING_AC3

          public static final int ENCODING_AC3

      See Also:
        `AudioFormat.ENCODING_AC3`, Constant Field Values

    - #### ENCODING_E_AC3

          public static final int ENCODING_E_AC3

      See Also:
        `AudioFormat.ENCODING_E_AC3`, Constant Field Values

    - #### ENCODING_DTS

          public static final int ENCODING_DTS

      See Also:
        `AudioFormat.ENCODING_DTS`, Constant Field Values

    - #### ENCODING_DTS_HD

          public static final int ENCODING_DTS_HD

      See Also:
        `AudioFormat.ENCODING_DTS_HD`, Constant Field Values

    - #### SELECTION_REASON_UNKNOWN

          public static final int SELECTION_REASON_UNKNOWN

      A selection reason constant for selections whose reasons are unknown or unspecified.
      See Also:
        Constant Field Values

    - #### SELECTION_REASON_INITIAL

          public static final int SELECTION_REASON_INITIAL

      A selection reason constant for an initial track selection.
      See Also:
        Constant Field Values

    - #### SELECTION_REASON_MANUAL

          public static final int SELECTION_REASON_MANUAL

      A selection reason constant for an manual (i.e. user initiated) track selection.
      See Also:
        Constant Field Values

    - #### SELECTION_REASON_ADAPTIVE

          public static final int SELECTION_REASON_ADAPTIVE

      A selection reason constant for an adaptive track selection.
      See Also:
        Constant Field Values

    - #### SELECTION_REASON_TRICK_PLAY

          public static final int SELECTION_REASON_TRICK_PLAY

      A selection reason constant for a trick play track selection.
      See Also:
        Constant Field Values

    - #### SELECTION_FLAG_DEFAULT

          public static final int SELECTION_FLAG_DEFAULT

      Indicates that the track should be selected if user preferences do not state otherwise.
      See Also:
        Constant Field Values

    - #### SELECTION_FLAG_FORCED

          public static final int SELECTION_FLAG_FORCED

      Indicates that the track must be displayed. Only applies to text tracks.
      See Also:
        Constant Field Values

    - #### SELECTION_FLAG_AUTOSELECT

          public static final int SELECTION_FLAG_AUTOSELECT

      Indicates that the player may choose to play the track in absence of an explicit user preference.
      See Also:
        Constant Field Values

    - #### WIDEVINE_UUID

          public static final java.util.UUID WIDEVINE_UUID

      UUID for the Widevine DRM scheme.

      Widevine is supported on Android devices running Android 4.3 (API Level 18) and up.

    - #### PLAYREADY_UUID

          public static final java.util.UUID PLAYREADY_UUID

      UUID for the PlayReady DRM scheme.

      PlayReady is supported on all AndroidTV devices. Note that most other Android devices do not provide PlayReady support.

    - #### STEREO_MODE_MONO

          public static final int STEREO_MODE_MONO

      Indicates Monoscopic stereo layout, used with 360/3D/VR videos.
      See Also:
        Constant Field Values

    - #### STEREO_MODE_TOP_BOTTOM

          public static final int STEREO_MODE_TOP_BOTTOM

      Indicates Top-Bottom stereo layout, used with 360/3D/VR videos.
      See Also:
        Constant Field Values

    - #### STEREO_MODE_LEFT_RIGHT

          public static final int STEREO_MODE_LEFT_RIGHT

      Indicates Left-Right stereo layout, used with 360/3D/VR videos.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

  - ### Method Detail

    - #### usToMs

          public static long usToMs(long timeUs)

      Converts a time in microseconds to the corresponding time in milliseconds, preserving `TIME_UNSET` values.
      Parameters:
        `timeUs` - The time in microseconds.
      Returns:
        The corresponding time in milliseconds.

    - #### msToUs

          public static long msToUs(long timeMs)

      Converts a time in milliseconds to the corresponding time in microseconds, preserving `TIME_UNSET` values.
      Parameters:
        `timeMs` - The time in milliseconds.
      Returns:
        The corresponding time in microseconds.